summaryrefslogtreecommitdiffstats
path: root/development/robomongo
diff options
context:
space:
mode:
author Miguel De Anda <miguel@thedeanda.com>2013-10-20 15:20:30 +0200
committer Matteo Bernardini <ponce@slackbuilds.org>2013-10-20 15:20:30 +0200
commit76ea7a123b45578a2f6e249ddd0e0b2a6e4a0366 (patch)
tree42795d21990d32d07e7be6d665bbb1073b54d978 /development/robomongo
parent5518e3f6acef6317a4fc4a510245ba4203fc599c (diff)
downloadslackbuilds-76ea7a123b45578a2f6e249ddd0e0b2a6e4a0366.tar.gz
slackbuilds-76ea7a123b45578a2f6e249ddd0e0b2a6e4a0366.tar.xz
development/robomongo: Added (MongoDB admin gui).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development/robomongo')
-rw-r--r--development/robomongo/README1
-rw-r--r--development/robomongo/doinst.sh3
-rw-r--r--development/robomongo/robomongo.SlackBuild72
-rw-r--r--development/robomongo/robomongo.desktop9
-rw-r--r--development/robomongo/robomongo.info10
-rw-r--r--development/robomongo/robomongo.launcher4
-rw-r--r--development/robomongo/robomongo.pngbin0 -> 120651 bytes
-rw-r--r--development/robomongo/slack-desc19
8 files changed, 118 insertions, 0 deletions
diff --git a/development/robomongo/README b/development/robomongo/README
new file mode 100644
index 0000000000..4c8f1d3736
--- /dev/null
+++ b/development/robomongo/README
@@ -0,0 +1 @@
+Robomongo is a shell-centric cross-platform MongoDB management tool.
diff --git a/development/robomongo/doinst.sh b/development/robomongo/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/robomongo/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/robomongo/robomongo.SlackBuild b/development/robomongo/robomongo.SlackBuild
new file mode 100644
index 0000000000..f316377798
--- /dev/null
+++ b/development/robomongo/robomongo.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware Package Build Script for robomongo
+# Home Page http://www.robomongo.org
+
+PRGNAM="robomongo"
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=$( uname -m ) ;;
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Sanity check, we make sure resulting package will work on users system.
+case "$ARCH" in
+ i386) ANAME=x86; LIBDIRSUFFIX=; echo "System check passed..." ;;
+ x86_64) ANAME=x64; LIBDIRSUFFIX=64; echo "System check passed..." ;;
+ *) echo "$ARCH is not supported."; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -fr $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -fr $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-$ANAME.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+install -m 0755 -D bin/$PRGNAM $PKG/usr/bin/$PRGNAM.bin
+sed "s|@LIBDIRSUFFIX@|$LIBDIRSUFFIX|" $CWD/$PRGNAM.launcher > $PKG/usr/bin/$PRGNAM
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+cp -r lib/* $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/icons
+install -m 0644 -D $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+install -m 0644 -D $CWD/$PRGNAM.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/robomongo/robomongo.desktop b/development/robomongo/robomongo.desktop
new file mode 100644
index 0000000000..a94aebe04d
--- /dev/null
+++ b/development/robomongo/robomongo.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Exec=robomongo
+Name=Robomongo
+GenericName=The IDE for mongodb working.
+GenericName[de]=Die IDE der
+Icon=robomongo.png
+Terminal=false
+Categories=Development;IDE;mongodb;
diff --git a/development/robomongo/robomongo.info b/development/robomongo/robomongo.info
new file mode 100644
index 0000000000..eda967dd62
--- /dev/null
+++ b/development/robomongo/robomongo.info
@@ -0,0 +1,10 @@
+PRGNAM="robomongo"
+VERSION="0.7.1"
+HOMEPAGE="http://www.robomongo.org/"
+DOWNLOAD="https://www.dropbox.com/sh/u0s0i8e4m0a8i9f/QSvldiK0J-/robomongo-0.7.1-x86.tar.gz"
+MD5SUM="a09eca94da3cb1ec951fda67709635a1"
+DOWNLOAD_x86_64="https://www.dropbox.com/sh/u0s0i8e4m0a8i9f/7x1V1UhlgI/robomongo-0.7.1-x64.tar.gz"
+MD5SUM_x86_64="c2645a6cce409933d43a34cefd92ecf0"
+REQUIRES=""
+MAINTAINER="Miguel De Anda"
+EMAIL="miguel@thedeanda.com"
diff --git a/development/robomongo/robomongo.launcher b/development/robomongo/robomongo.launcher
new file mode 100644
index 0000000000..b00053528b
--- /dev/null
+++ b/development/robomongo/robomongo.launcher
@@ -0,0 +1,4 @@
+#!/bin/sh
+export LD_LIBRARY_PATH=/usr/lib@LIBDIRSUFFIX@/robomongo:$LD_LIBRARY_PATH
+export QT_PLUGIN_PATH=/usr/lib@LIBDIRSUFFIX@/robomongo:$QT_PLUGIN_PATH
+exec /usr/bin/robomongo.bin
diff --git a/development/robomongo/robomongo.png b/development/robomongo/robomongo.png
new file mode 100644
index 0000000000..986bb39b55
--- /dev/null
+++ b/development/robomongo/robomongo.png
Binary files differ
diff --git a/development/robomongo/slack-desc b/development/robomongo/slack-desc
new file mode 100644
index 0000000000..065d553f2d
--- /dev/null
+++ b/development/robomongo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+robomongo: robomongo (MongoDB admin gui)
+robomongo:
+robomongo: Robomongo is a shell-centric cross-platform MongoDB management tool.
+robomongo:
+robomongo: homepage: http://www.robomongo.org/
+robomongo:
+robomongo:
+robomongo:
+robomongo:
+robomongo:
+robomongo: